<?php
if(!defined('IN_MYMPS')) exit('FORBIDDEN');
define('CURSCRIPT','space');

$user   = isset($user) 	 ? checkhtml($user) : '';
$id 	= isset($id) 	 ? intval($id) 		: '';

$seo = get_seoset();
$rewrite = $seo['seo_force_space'];

$where  = "WHERE a.userid = '$user'";

$space	= $db -> getRow("SELECT a.* FROM `{$db_mymps}member` AS a $where");
if(!$space || empty($user)) write_msg("您所指定的会员不存在，或者尚未通过审核");

$space['if_corp'] = $mymps_global['cfg_if_corp'] != 1 ? 0 : $space['if_corp'];
$space['storeuri'] = $space['if_corp'] == 1 ? Rewrite('store',array('uid'=>$space['id'])) : '';	

$space['uri'] 	 = Rewrite('space',array('user'=>$user,'part'=>'index'));
$space['prelogo'] = $space['prelogo'] ? $space['prelogo'] : $mymps_global[SiteUrl].'/images/noavatar_small.gif';

globalassign();
include mayi_tpl('index');
?>